## org.codehaus.groovy.grails.web.servlet
Class GrailsFlashScope

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.GrailsFlashScope

All Implemented Interfaces:
  Serializable, Map, FlashScope

    public class GrailsFlashScope

extends Object
implements FlashScope

Grails implementation of Flash scope (@see org.codehaus.groovy.grails.web.servlet.FlashScope)

Since:
  07-Feb-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary
`static String` `ERRORS_PREFIX`

Constructor Summary
`GrailsFlashScope()`

Method Summary
`void` `clear()`
`boolean` `containsKey(Object key)`
`boolean` `containsValue(Object value)`
`Set` `entrySet()`
`Object` `get(Object key)`
`boolean` `isEmpty()`
`Set` `keySet()`
`void` `next()` Sets the flash scope to the next state upon a new request
`Object` `put(Object key, Object value)`
`void` `putAll(Map t)`
`Object` `remove(Object key)`
`int` `size()`
`Collection` `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ERRORS_PREFIX

    public static final String ERRORS_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### GrailsFlashScope

    public GrailsFlashScope()

Method Detail

### next

    public void next()

  Description copied from interface: `FlashScope`
  Sets the flash scope to the next state upon a new request

  Specified by:
    `next` in interface `FlashScope`

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### putAll

    public void putAll(Map t)

  Specified by:
    `putAll` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`

Copyright (c) 2005-2009 The Grails project